# Uses of Class
org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement

Packages that use InjectionMetadata.InjectedElement
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.

## Uses of InjectionMetadata.InjectedElement in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation that return types with arguments of type InjectionMetadata.InjectedElement
Modifier and Type
Method
Description
`Collection<InjectionMetadata.InjectedElement>`
InjectionMetadata.`getInjectedElements()`
Return the `elements` to inject.
`Collection<InjectionMetadata.InjectedElement>`
InjectionMetadata.`getInjectedElements(PropertyValues pvs)`
Return the `elements` to inject based on the specified `PropertyValues`.
Method parameters in org.springframework.beans.factory.annotation with type arguments of type InjectionMetadata.InjectedElement
Modifier and Type
Method
Description
`static InjectionMetadata`
InjectionMetadata.`forElements(Collection<InjectionMetadata.InjectedElement> elements, Class<?> clazz)`
Return an `InjectionMetadata` instance, possibly for empty elements.
Constructor parameters in org.springframework.beans.factory.annotation with type arguments of type InjectionMetadata.InjectedElement
Modifier
Constructor
Description
``
`InjectionMetadata(Class<?> targetClass, Collection<InjectionMetadata.InjectedElement> elements)`
Create a new `InjectionMetadata instance`.